## wal2json 1.0

=== Makefile ===
MODULES = wal2json

# message test will fail for <= 9.5
REGRESS = cmdline insert1 update1 update2 update3 update4 delete1 delete2 \
		  delete3 delete4 savepoint specialvalue toast bytea message typmod \
		  filtertable selecttable

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# make installcheck
#
# It can be run but you need to add the following parameters to
# postgresql.conf:
#
# wal_level = logical
# max_replication_slots = 4
#
# Also, you should start the server before executing it.

=== debian/changelog ===
wal2json (1.0-5ubuntu1) focal; urgency=medium

  * Make autopkgtest depend on the postgresql server version this
    extension is built for.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 09 Dec 2019 13:43:26 +0000

wal2json (1.0-5) unstable; urgency=medium

  * Recompile against new heap_getattr() API in PostgreSQL 11.2.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 12 Feb 2019 15:15:48 +0100

wal2json (1.0-4) unstable; urgency=medium

  * Update PostgreSQL Maintainers address.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 07 Feb 2019 14:12:44 +0100

wal2json (1.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:57:25 +0200

wal2json (1.0-2) unstable; urgency=medium

  * Do not continue the short description into the long description.
    Thanks to Josh Triplett for spotting! (Closes: #897079)

 -- Christoph Berg <myon@debian.org>  Sat, 28 Apr 2018 18:33:54 +0200

wal2json (1.0-1) unstable; urgency=medium

  [ Ivan Mincik ]
  * Initial release.

  [ Christoph Berg ]
  * Add watch file and regression tests runner.
  * Copyright holder for wal2json.c is Euler Taveira de Oliveira, not the
    PGDG. (See https://github.com/eulerto/wal2json/commit/a41243882)
  * Catch regression test problems on older releases.
    (See https://github.com/eulerto/wal2json/pull/59.)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 17 Apr 2018 10:16:35 +0200

=== debian/control ===
Source: wal2json
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Section: database
Priority: optional
Build-Depends: debhelper (>= 9), postgresql-server-dev-all
Standards-Version: 4.3.0
Homepage: https://github.com/eulerto/wal2json
Vcs-Git: https://salsa.debian.org/postgresql/wal2json.git
Vcs-Browser: https://salsa.debian.org/postgresql/wal2json

Package: postgresql-11-wal2json
Architecture: any
Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL logical decoding JSON output plugin
 wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
 access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
 versions can be accessed depending on the configured replica identity. Changes
 can be consumed using the streaming protocol (logical replication slots) or by
 a special SQL API.
 .
 The wal2json output plugin produces a JSON object per transaction. All of the
 new/old tuples are available in the JSON object. Also, there are options to
 include properties such as transaction timestamp, schema-qualified, data
 types, and transaction ids.

=== debian/tests/control ===
# tests need test_decoding.so from contrib
Depends: @, postgresql-all, postgresql-server-dev-11
Tests: installcheck
Restrictions: allow-stderr

## wal2json 2.0

=== debian/changelog ===
wal2json (2.0-2.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 07 Feb 2020 10:48:00 +0100

wal2json (2.0-2) unstable; urgency=medium

  * Restrict to 64-bit architectures because of
    https://github.com/eulerto/wal2json/issues/142.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Feb 2020 10:48:00 +0100

wal2json (2.0-1) unstable; urgency=medium

  * New upstream version, really compatible with PG12. (Closes: #947896)

 -- Christoph Berg <myon@debian.org>  Mon, 06 Jan 2020 20:34:18 +0100

wal2json (1.0-6) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Dec 2019 10:58:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,76 @@
 Source: wal2json
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Section: database
 Priority: optional
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/eulerto/wal2json
 Vcs-Git: https://salsa.debian.org/postgresql/wal2json.git
 Vcs-Browser: https://salsa.debian.org/postgresql/wal2json
 
+Package: postgresql-9.4-wal2json
+Architecture: amd64 arm64 mips64el ppc64el s390x alpha hppa ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
+Depends: postgresql-9.4, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL logical decoding JSON output plugin
+ wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
+ access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
+ versions can be accessed depending on the configured replica identity. Changes
+ can be consumed using the streaming protocol (logical replication slots) or by
+ a special SQL API.
+ .
+ The wal2json output plugin produces a JSON object per transaction. All of the
+ new/old tuples are available in the JSON object. Also, there are options to
+ include properties such as transaction timestamp, schema-qualified, data
+ types, and transaction ids.
+
+Package: postgresql-9.5-wal2json
+Architecture: amd64 arm64 mips64el ppc64el s390x alpha hppa ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
+Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL logical decoding JSON output plugin
+ wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
+ access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
+ versions can be accessed depending on the configured replica identity. Changes
+ can be consumed using the streaming protocol (logical replication slots) or by
+ a special SQL API.
+ .
+ The wal2json output plugin produces a JSON object per transaction. All of the
+ new/old tuples are available in the JSON object. Also, there are options to
+ include properties such as transaction timestamp, schema-qualified, data
+ types, and transaction ids.
+
+Package: postgresql-9.6-wal2json
+Architecture: amd64 arm64 mips64el ppc64el s390x alpha hppa ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
+Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL logical decoding JSON output plugin
+ wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
+ access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
+ versions can be accessed depending on the configured replica identity. Changes
+ can be consumed using the streaming protocol (logical replication slots) or by
+ a special SQL API.
+ .
+ The wal2json output plugin produces a JSON object per transaction. All of the
+ new/old tuples are available in the JSON object. Also, there are options to
+ include properties such as transaction timestamp, schema-qualified, data
+ types, and transaction ids.
+
+Package: postgresql-10-wal2json
+Architecture: amd64 arm64 mips64el ppc64el s390x alpha hppa ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL logical decoding JSON output plugin
+ wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
+ access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
+ versions can be accessed depending on the configured replica identity. Changes
+ can be consumed using the streaming protocol (logical replication slots) or by
+ a special SQL API.
+ .
+ The wal2json output plugin produces a JSON object per transaction. All of the
+ new/old tuples are available in the JSON object. Also, there are options to
+ include properties such as transaction timestamp, schema-qualified, data
+ types, and transaction ids.
+
 Package: postgresql-11-wal2json
-Architecture: any
+Architecture: amd64 arm64 mips64el ppc64el s390x alpha hppa ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
 Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL logical decoding JSON output plugin
  wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
@@ -25,3 +84,17 @@
  include properties such as transaction timestamp, schema-qualified, data
  types, and transaction ids.
 
+Package: postgresql-12-wal2json
+Architecture: amd64 arm64 mips64el ppc64el s390x alpha hppa ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL logical decoding JSON output plugin
+ wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
+ access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
+ versions can be accessed depending on the configured replica identity. Changes
+ can be consumed using the streaming protocol (logical replication slots) or by
+ a special SQL API.
+ .
+ The wal2json output plugin produces a JSON object per transaction. All of the
+ new/old tuples are available in the JSON object. Also, there are options to
+ include properties such as transaction timestamp, schema-qualified, data
+ types, and transaction ids.

## wal2json 2.1

=== debian/changelog ===
wal2json (2.1-1) unstable; urgency=medium

  * New upstream version, fixed for 32 bit archs.
  * Mark as compatible with PG9.6+, uses UInt64GetDatum.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Feb 2020 20:47:31 +0100

## wal2json 2.2

=== Makefile ===
MODULES = wal2json

REGRESS = cmdline insert1 update1 update2 update3 update4 delete1 delete2 \
		  delete3 delete4 savepoint specialvalue toast bytea message typmod \
		  filtertable selecttable include_timestamp include_lsn include_xids \
		  truncate actions

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# message API is available in 9.6+
ifneq (,$(findstring $(MAJORVERSION),9.4 9.5))
REGRESS := $(filter-out message, $(REGRESS))
endif

# truncate API is available in 11+
ifneq (,$(findstring $(MAJORVERSION),9.4 9.5 9.6 10))
REGRESS := $(filter-out truncate, $(REGRESS))
endif

# actions API is available in 11+
# this test should be executed in prior versions, however, truncate will fail.
ifneq (,$(findstring $(MAJORVERSION),9.4 9.5 9.6 10))
REGRESS := $(filter-out actions, $(REGRESS))
endif

# make installcheck
#
# It can be run but you need to add the following parameters to
# postgresql.conf:
#
# wal_level = logical
# max_replication_slots = 10
#
# Also, you should start the server before executing it.

=== debian/changelog ===
wal2json (2.2-1) unstable; urgency=medium

  * New upstream version compatible with PG9.4+.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Feb 2020 11:04:22 +0100

=== debian/control ===
Source: wal2json
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Section: database
Priority: optional
Build-Depends: debhelper (>= 9), postgresql-server-dev-all
Standards-Version: 4.5.0
Homepage: https://github.com/eulerto/wal2json
Vcs-Git: https://salsa.debian.org/postgresql/wal2json.git
Vcs-Browser: https://salsa.debian.org/postgresql/wal2json

Package: postgresql-12-wal2json
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL logical decoding JSON output plugin
 wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
 access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
 versions can be accessed depending on the configured replica identity. Changes
 can be consumed using the streaming protocol (logical replication slots) or by
 a special SQL API.
 .
 The wal2json output plugin produces a JSON object per transaction. All of the
 new/old tuples are available in the JSON object. Also, there are options to
 include properties such as transaction timestamp, schema-qualified, data
 types, and transaction ids.

=== debian/tests/control ===
# tests need test_decoding.so from contrib
Depends: @, postgresql-all, postgresql-server-dev-all
Tests: installcheck
Restrictions: allow-stderr

=== debian/watch ===
version=4
options="uversionmangle=s/_/./g" \
https://github.com/eulerto/wal2json/releases .*/wal2json_(.*).tar.gz

## wal2json 2.3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 REGRESS = cmdline insert1 update1 update2 update3 update4 delete1 delete2 \
 		  delete3 delete4 savepoint specialvalue toast bytea message typmod \
 		  filtertable selecttable include_timestamp include_lsn include_xids \
-		  truncate actions
+		  include_domain_data_type truncate actions position default pk
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
wal2json (2.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 22:32:23 +0200

wal2json (2.3-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 10.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * New upstream version.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Thu, 13 Aug 2020 13:46:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Section: database
 Priority: optional
-Build-Depends: debhelper (>= 9), postgresql-server-dev-all
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/eulerto/wal2json
 Vcs-Git: https://salsa.debian.org/postgresql/wal2json.git
 Vcs-Browser: https://salsa.debian.org/postgresql/wal2json
 
-Package: postgresql-12-wal2json
+Package: postgresql-13-wal2json
 Architecture: any
-Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL logical decoding JSON output plugin
  wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
  access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row

=== debian/tests/control ===
# tests need test_decoding.so from contrib
Depends: @, postgresql-all, make
Tests: installcheck
Restrictions: allow-stderr

## wal2json 2.4

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 REGRESS = cmdline insert1 update1 update2 update3 update4 delete1 delete2 \
 		  delete3 delete4 savepoint specialvalue toast bytea message typmod \
 		  filtertable selecttable include_timestamp include_lsn include_xids \
-		  include_domain_data_type truncate actions position default pk
+		  include_domain_data_type truncate actions position default pk rename_column
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
wal2json (2.4-2.pgdg90+2) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:17:45 +0200

wal2json (2.4-2) unstable; urgency=medium

  * Mark B-D on postgresql-all as <!nocheck> and add
    postgresql-server-dev-all for nocheck builds.
  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 12:17:45 +0200

wal2json (2.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Sep 2021 17:20:01 +0200

=== debian/control ===
Source: wal2json
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Section: database
Priority: optional
Build-Depends:
 debhelper (>= 10),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/eulerto/wal2json
Vcs-Git: https://salsa.debian.org/postgresql/wal2json.git
Vcs-Browser: https://salsa.debian.org/postgresql/wal2json

Package: postgresql-10-wal2json
Architecture: any
Depends:
 postgresql-10,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL logical decoding JSON output plugin
 wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
 access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
 versions can be accessed depending on the configured replica identity. Changes
 can be consumed using the streaming protocol (logical replication slots) or by
 a special SQL API.
 .
 The wal2json output plugin produces a JSON object per transaction. All of the
 new/old tuples are available in the JSON object. Also, there are options to
 include properties such as transaction timestamp, schema-qualified, data
 types, and transaction ids.

Package: postgresql-11-wal2json
Architecture: any
Depends:
 postgresql-11,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL logical decoding JSON output plugin
 wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
 access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
 versions can be accessed depending on the configured replica identity. Changes
 can be consumed using the streaming protocol (logical replication slots) or by
 a special SQL API.
 .
 The wal2json output plugin produces a JSON object per transaction. All of the
 new/old tuples are available in the JSON object. Also, there are options to
 include properties such as transaction timestamp, schema-qualified, data
 types, and transaction ids.

Package: postgresql-12-wal2json
Architecture: any
Depends:
 postgresql-12,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL logical decoding JSON output plugin
 wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
 access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
 versions can be accessed depending on the configured replica identity. Changes
 can be consumed using the streaming protocol (logical replication slots) or by
 a special SQL API.
 .
 The wal2json output plugin produces a JSON object per transaction. All of the
 new/old tuples are available in the JSON object. Also, there are options to
 include properties such as transaction timestamp, schema-qualified, data
 types, and transaction ids.

Package: postgresql-13-wal2json
Architecture: any
Depends:
 postgresql-13,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL logical decoding JSON output plugin
 wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
 access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
 versions can be accessed depending on the configured replica identity. Changes
 can be consumed using the streaming protocol (logical replication slots) or by
 a special SQL API.
 .
 The wal2json output plugin produces a JSON object per transaction. All of the
 new/old tuples are available in the JSON object. Also, there are options to
 include properties such as transaction timestamp, schema-qualified, data
 types, and transaction ids.

Package: postgresql-14-wal2json
Architecture: any
Depends:
 postgresql-14,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL logical decoding JSON output plugin
 wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
 access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
 versions can be accessed depending on the configured replica identity. Changes
 can be consumed using the streaming protocol (logical replication slots) or by
 a special SQL API.
 .
 The wal2json output plugin produces a JSON object per transaction. All of the
 new/old tuples are available in the JSON object. Also, there are options to
 include properties such as transaction timestamp, schema-qualified, data
 types, and transaction ids.

## wal2json 2.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 REGRESS = cmdline insert1 update1 update2 update3 update4 delete1 delete2 \
 		  delete3 delete4 savepoint specialvalue toast bytea message typmod \
 		  filtertable selecttable include_timestamp include_lsn include_xids \
-		  include_domain_data_type truncate actions position default pk rename_column
+		  include_domain_data_type truncate type_oid actions position default \
+		  pk rename_column
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
wal2json (2.5-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 17:19:55 +0200

=== debian/control ===
Source: wal2json
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Section: database
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/eulerto/wal2json
Vcs-Git: https://salsa.debian.org/postgresql/wal2json.git
Vcs-Browser: https://salsa.debian.org/postgresql/wal2json

Package: postgresql-15-wal2json
Architecture: any
Depends:
 postgresql-15,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL logical decoding JSON output plugin
 wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
 access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row
 versions can be accessed depending on the configured replica identity. Changes
 can be consumed using the streaming protocol (logical replication slots) or by
 a special SQL API.
 .
 The wal2json output plugin produces a JSON object per transaction. All of the
 new/old tuples are available in the JSON object. Also, there are options to
 include properties such as transaction timestamp, schema-qualified, data
 types, and transaction ids.

=== debian/tests/control ===
Depends:
 make,
 postgresql-all,
 @,
Tests: installcheck
Restrictions: allow-stderr

## wal2json 2.6

=== debian/changelog ===
wal2json (2.6-3) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117344)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 10:55:15 +0200

wal2json (2.6-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 14:57:54 +0200

wal2json (2.6-1) unstable; urgency=medium

  * New upstream version 2.6.

 -- Christoph Berg <myon@debian.org>  Sat, 04 May 2024 12:20:23 +0200

wal2json (2.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:57:52 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,22 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  postgresql-all <!nocheck>,
  postgresql-server-dev-all (>= 217~),
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/eulerto/wal2json
 Vcs-Git: https://salsa.debian.org/postgresql/wal2json.git
 Vcs-Browser: https://salsa.debian.org/postgresql/wal2json
 
-Package: postgresql-15-wal2json
+Package: postgresql-18-wal2json
 Architecture: any
 Depends:
- postgresql-15,
  ${misc:Depends},
+ ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL logical decoding JSON output plugin
  wal2json is an output plugin for PostgreSQL's logical decoding. The plugin has
  access to tuples produced by INSERT and UPDATE. Also, UPDATE/DELETE old row

=== debian/tests/control ===
Depends:
 postgresql-all,
 postgresql-common-dev,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
options="uversionmangle=s/_/./g" \
https://github.com/eulerto/wal2json/tags .*/wal2json_(.*).tar.gz
